Rygel.DescriptionFile.modify_service_type – librygel-core Reference Manual

# modify_service_type

## Description:

public void modify_service_type (`string` old_type, `string` new_type)

Change the type of a service.

Usually used to modify the service version, e.g. old_type = "ContentDirectory:2" and new_type = "ContentDirectory:1".

## Parameters:

old_type | is the current content of serviceType.
new_type | is the content serviceType will be set to.